package com.sy.coinage.core.vo;

import io.swagger.annotations.ApiModelProperty;
import com.sy.coinage.core.util.TreeUtil.TreeNode;

import lombok.Data;

/**
 * -通用下拉选项类
 *
 * @author: lug 2022年5月12日
 */
@Data
public class OptVO extends TreeNode<Integer> {

    /**
     * 选项id
     */
    @ApiModelProperty(value = "选项id")
    private Integer id;

    @ApiModelProperty(value = "选项上级id")
    private Integer pid;
    /**
     * 选项名称
     */
    @ApiModelProperty(value = "选项名称")
    private String name;
    /**
     * 选项值
     */
    @ApiModelProperty(value = "选项值")
    private String val;

    /**
     * 选项值
     */
    @ApiModelProperty(value = "选项值")
    private String value;

    @Override
    public Integer getNodeId() {
        return id;
    }

    @Override
    public Integer getNodeParentId() {
        return pid;
    }

    @Override
    public CharSequence getNodeName() {
        return name;
    }

}
